Page MenuHomePhabricator

Archive integration/jenkins.git
Closed, ResolvedPublic

Description

We've moved what little is left in this repo into puppet or integration/config.git instead.

Event Timeline

Krinkle created this task.May 16 2020, 10:59 PM

Change 596831 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[integration/config@master] jjb: Avoid global agent scripts in 'beta-update-databases-eqiad' job

https://gerrit.wikimedia.org/r/596831

Change 596831 merged by jenkins-bot:
[integration/config@master] jjb: Avoid global agent scripts in 'beta-update-databases-eqiad' job

https://gerrit.wikimedia.org/r/596831

Change 596832 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[integration/config@master] jjb: remove unused checkout-branch.bash file

https://gerrit.wikimedia.org/r/596832

Change 596832 merged by jenkins-bot:
[integration/config@master] jjb: remove unused checkout-branch.bash file

https://gerrit.wikimedia.org/r/596832

Change 596833 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/puppet@production] contint: Remove mention of unused global agent script

https://gerrit.wikimedia.org/r/596833

Change 596835 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[integration/config@master] jjb: Remove mention of unused integration/jenkins file

https://gerrit.wikimedia.org/r/596835

Change 596835 merged by jenkins-bot:
[integration/config@master] Remove mentions of unused integration/jenkins files

https://gerrit.wikimedia.org/r/596835

Change 596848 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[integration/config@master] Remove composer-test job for integration/jenkins.git

https://gerrit.wikimedia.org/r/596848

Change 596848 merged by jenkins-bot:
[integration/config@master] Remove composer-test job for integration/jenkins.git

https://gerrit.wikimedia.org/r/596848

Change 596847 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[integration/jenkins@master] 🚢🍾 Remove unused global agent scripts

https://gerrit.wikimedia.org/r/596847

Krinkle triaged this task as Low priority.May 17 2020, 2:18 AM

Change 597416 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: [npm-test*] Move npm-install-dev.py into this repo

https://gerrit.wikimedia.org/r/597416

Change 597417 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: [zuul-cloner] Move zuul-clonemap.yaml into this repo

https://gerrit.wikimedia.org/r/597417

Change 597418 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] fabfile: Drop deploy_slave_scripts(), no longer used

https://gerrit.wikimedia.org/r/597418

Change 597416 merged by jenkins-bot:
[integration/config@master] dockerfiles: [npm-test*] Move npm-install-dev.py into this repo

https://gerrit.wikimedia.org/r/597416

Mentioned in SAL (#wikimedia-releng) [2020-05-20T21:18:20Z] <James_F> Docker: Publishing new npm-test images with npm-install-dev.py in them T252955

Change 597628 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Bump all npm-test-based jobs to be independent of integration/jenkins

https://gerrit.wikimedia.org/r/597628

Change 597630 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Bump all users of zuul-cloner to be independent of integration/jenkins

https://gerrit.wikimedia.org/r/597630

Change 597628 merged by jenkins-bot:
[integration/config@master] jjb: Bump all npm-test-based jobs to be independent of integration/jenkins

https://gerrit.wikimedia.org/r/597628

Change 597417 merged by jenkins-bot:
[integration/config@master] dockerfiles: [zuul-cloner] Move zuul-clonemap.yaml into this repo

https://gerrit.wikimedia.org/r/597417

Mentioned in SAL (#wikimedia-releng) [2020-05-20T22:13:57Z] <James_F> Docker: Publishing new zuul-cloner image with zuul-clonemap.yaml in it T252955

Change 597630 merged by jenkins-bot:
[integration/config@master] jjb: Bump all users of zuul-cloner to be independent of integration/jenkins

https://gerrit.wikimedia.org/r/597630

Change 597418 merged by jenkins-bot:
[integration/config@master] fabfile: Drop deploy_slave_scripts(), no longer used

https://gerrit.wikimedia.org/r/597418

Change 597644 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/puppet@production] contint: Drop the slave_scripts manifest, no longer used

https://gerrit.wikimedia.org/r/597644

Change 596833 abandoned by Krinkle:
contint: Remove mention of unused global agent script

Reason:
https://gerrit.wikimedia.org/r/597644

https://gerrit.wikimedia.org/r/596833

Change 597644 merged by Dzahn:
[operations/puppet@production] contint: Drop the slave_scripts manifest, no longer used

https://gerrit.wikimedia.org/r/597644

Change 597739 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] Revert "contint: Drop the slave_scripts manifest, no longer used"

https://gerrit.wikimedia.org/r/597739

Change 597741 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] ci::slave: add /srv/deployment dir to fix dependency problem

https://gerrit.wikimedia.org/r/597741

Change 597741 merged by Dzahn:
[operations/puppet@production] ci::slave: add /srv/deployment dir to fix dependency problem

https://gerrit.wikimedia.org/r/597741

Change 597739 abandoned by Dzahn:
Revert "contint: Drop the slave_scripts manifest, no longer used"

Reason:
did https://gerrit.wikimedia.org/r/c/operations/puppet/ /597741 instead to fix it

https://gerrit.wikimedia.org/r/597739

Jdforrester-WMF renamed this task from Clear out unused integration/jenkins.git "slave" scripts to Archive integration/jenkins.git.May 21 2020, 3:55 PM
Jdforrester-WMF updated the task description. (Show Details)
Krinkle updated the task description. (Show Details)May 21 2020, 4:36 PM

Change 596847 merged by Jforrester:
[integration/jenkins@master] 🚢🍾 Archive this repository; unused

https://gerrit.wikimedia.org/r/596847

Jdforrester-WMF closed this task as Resolved.May 21 2020, 4:38 PM

Mentioned in SAL (#wikimedia-releng) [2020-06-30T07:32:38Z] <hashar> contint2001: rm -fR /srv/deployment/integration/slave-scripts # T252955